Package org.jboss.logmanager.formatters

## Enum StructuredFormatter.ExceptionOutputType

- java.lang.Object
- - java.lang.Enum<StructuredFormatter.ExceptionOutputType>
  - - org.jboss.logmanager.formatters.StructuredFormatter.ExceptionOutputType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<StructuredFormatter.ExceptionOutputType>`

Enclosing class:
  StructuredFormatter

    public static enum StructuredFormatter.ExceptionOutputType
    extends java.lang.Enum<StructuredFormatter.ExceptionOutputType>

Defines the way a cause will be formatted.

### Enum Constant Summary

Enum Constants
`DETAILED` The cause, if present, will be an array of stack trace elements.
`DETAILED_AND_FORMATTED` Adds both the `DETAILED` and `FORMATTED`
`FORMATTED` The cause, if present, will be a string representation of the stack trace in a `stackTrace` property.

### Method Summary

All Methods Static Methods Concrete Methods
`static StructuredFormatter.ExceptionOutputType` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static StructuredFormatter.ExceptionOutputType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DETAILED

    public static final StructuredFormatter.ExceptionOutputType DETAILED

The cause, if present, will be an array of stack trace elements. This will include suppressed exceptions and the cause of the exception.

#### FORMATTED

    public static final StructuredFormatter.ExceptionOutputType FORMATTED

The cause, if present, will be a string representation of the stack trace in a `stackTrace` property. The property value is a string created by `Throwable.printStackTrace()`.

#### DETAILED_AND_FORMATTED

    public static final StructuredFormatter.ExceptionOutputType DETAILED_AND_FORMATTED

Adds both the `DETAILED` and `FORMATTED`

### Method Detail

#### values

    public static StructuredFormatter.ExceptionOutputType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (StructuredFormatter.ExceptionOutputType c : StructuredFormatter.ExceptionOutputType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static StructuredFormatter.ExceptionOutputType valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null